<?php

/**
 * @file
 *   The hosting feature definition for the hosting queue daemon.
 */

/**
 * Register a hosting feature with Aegir.
 *
 * This will be used to generate the 'admin/hosting' page.
 *
 * @return
 *  associative array indexed by feature key.
 */
function hosting_queued_hosting_feature() {
  $features['queued'] = array(
    // title to display in form
    'title' => t('Hosting queue daemon'),
    // description
    'description' => t('Runs the hosting tasks queue as a daemonized process.'),
    // initial status ( HOSTING_FEATURE_DISABLED, HOSTING_FEATURE_ENABLED, HOSTING_FEATURE_REQUIRED )
    'status' => HOSTING_FEATURE_DISABLED,
    // module to enable/disable alongside feature
    'module' => 'hosting_queued',
    // associate with a specific node type.
    //  'node' => 'nodetype',
    'group' => 'optional',
  );
  return $features;
}
