<?php

/**
 * @file
 *   The hosting feature definition for hosting_platform_pathauto.
 */

/**
 * Register a hosting feature with Aegir.
 *
 * This will be used to generate the 'admin/hosting' page.
 *
 * @return
 *  associative array indexed by feature key.
 */
function hosting_platform_pathauto_hosting_feature() {
  $features['platform_pathauto'] = array(
    // title to display in form
    'title' => t('Autofill platform path'),
    // description
    'description' => t('Automatically generates platform path based on platform name.'),
    // initial status ( HOSTING_FEATURE_DISABLED, HOSTING_FEATURE_ENABLED, HOSTING_FEATURE_REQUIRED )
    'status' => HOSTING_FEATURE_DISABLED,
    // module to enable/disable alongside feature
    'module' => 'hosting_platform_pathauto',
    // associate with a specific node type.
    //  'node' => 'nodetype',
    // which group to display in ( null , experimental )
    'group' => 'experimental',
  );
  return $features;
}
